aboutsummaryrefslogtreecommitdiff
path: root/build-turris.sh
diff options
context:
space:
mode:
authorKarel Kočí <cynerd@email.cz>2022-07-13 09:34:06 +0200
committerKarel Kočí <cynerd@email.cz>2022-07-13 09:34:06 +0200
commit2742cf5f2cb278540740204205dbcc49bdc91b55 (patch)
tree72ab4df465626c92a99cbddbfe1db688a14931f7 /build-turris.sh
parent74c0e6cbe7d435b9330b9e692fbf9306320be2ea (diff)
downloadnixos-personal-2742cf5f2cb278540740204205dbcc49bdc91b55.tar.gz
nixos-personal-2742cf5f2cb278540740204205dbcc49bdc91b55.tar.bz2
nixos-personal-2742cf5f2cb278540740204205dbcc49bdc91b55.zip
Add build-turris.sh script
Diffstat (limited to 'build-turris.sh')
-rwxr-xr-xbuild-turris.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/build-turris.sh b/build-turris.sh
new file mode 100755
index 0000000..bb9ebe6
--- /dev/null
+++ b/build-turris.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+omnia_hash="17b62c338f2a0862a58bb6951556beecd98ccda9"
+moxes=( "spt-mox2" )
+omnias=( "spt-omnia" )
+
+cd "${0%/*}" || exit
+for system in "${moxes[@]}"; do
+ echo "Building $system"
+ nix build -o "result-${system}" ".#nixosConfigurations.${system}.config.system.build.toplevel"
+done
+for system in "${omnias[@]}"; do
+ echo "Building $system"
+ nix build \
+ --override-input nixpkgs "github:NixOS/nixpkgs/${omnia_hash}" \
+ --override-input nixturris/nixpkgs "github:NixOS/nixpkgs/${omnia_hash}" \
+ -o "result-${system}" \
+ ".#nixosConfigurations.${system}.config.system.build.toplevel"
+done